%define version 0.99.23
%define release 4mdk

Name: kudzu
Version: %{version}
Release: %{release}
License: GPL
Summary: The Linux hardware probing tool.
Group: System/Configuration/Hardware
Source: kudzu-%{PACKAGE_VERSION}.tar.bz2
Patch0: kudzu-0.99.23-mdkconf.patch.bz2
Patch1: kudzu-0.68-ddcdev.patch.bz2
Patch2: kudzu-0.98.10-python2.patch.bz2
Patch3: kudzu-0.91.2-ldetect.patch.bz2
Patch4: kudzu-0.98.2-init.patch.bz2
Obsoletes: rhs-hwdiag setconsole
Provides: rhs-hwdiag, setconsole
Prereq: chkconfig, modutils >= 2.3.11
BuildRoot: %{_tmppath}/kudzu
BuildRequires:	gcc gettext newt-devel pciutils-devel popt-devel python-devel
Requires: ldetect-lst

%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%package devel
Summary: The development library for hardware probing.
Group: Development/C

%description devel
The kudzu-devel package contains the libkudzu and libmodules
libraries, which are libraries used for hardware probing and
configuration.

%prep

%setup -q
%patch0 -p1 -b .chmou
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .init

cd po/
rm -f zh.* eu_ES.*

%build
%serverbuild
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all kudzu ktest

%ifarch %{ix86}
make CFLAGS="$RPM_OPT_FLAGS" -C  ddcprobe
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install install-program DESTDIR=$RPM_BUILD_ROOT

rm -f %buildroot/usr/share/kudzu/upgradelist
rm -f %buildroot/%{_mandir}/man1/module_upgrade*

%ifarch %{ix86}
make -C ddcprobe/ install DESTDIR=%{buildroot}
%endif

python -c 'from compileall import *; compile_dir("'$RPM_BUILD_ROOT'/usr/lib/python2.2",10,"/usr/lib/python2.2")'

perl -p -i -e 's|/etc/init.d|%{_initrddir}|' %{buildroot}/etc/rc.d/init.d/*
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service kudzu

%preun
%_preun_service kudzu

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_sbindir}/kudzu
%{_sbindir}/updfstab
%{_datadir}/kudzu
%{_mandir}/man8/*
%{_libdir}/python*/site-packages/*
%config(noreplace) /etc/sysconfig/kudzu
%config(noreplace) %{_initrddir}/kudzu

%files devel
%defattr(-,root,root)
%doc README
%{_libdir}/libkudzu.a
%{_libdir}/libkudzu_loader.a
%{_includedir}/kudzu/*
%ifarch %{ix86}
%{_libdir}/libvbe.a
%{_includedir}/vbe.h
%endif

%changelog
* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.23-4mdk
- Python 2.2 (reworked kudzu-0.98.10-python2.patch)
- BuildRequires

* Fri Oct 26 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.99.23-3mdk
- drop ExcludeArch: ppc

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.99.23-2mdk
- BuildRequires: python-devel
- Copyright --> License

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.23-1mdk
- 0.99.23.

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.14-1mdk
- 0.99.14.

* Fri Aug  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.10-1mdk
- 0.99.10.

* Fri Jun 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.2-2mdk
- s|usbd|hotplug|;

* Mon May 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.2-1mdk
- 0.99.2.

* Sat May  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99-1mdk
- 0.99.

* Thu May  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.10-4mdk
- When removing a mouse remove the device=port in /etc/sysconfig/mouse
  to don't bug gpm.

* Mon Apr 30 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.10-3mdk
- Now use sound-slot-$card for alsa also.
- Python-2.1 fixes build.
- Add above snd-pcm-oss alsa-module when we do alsa-module.
- Add suppport for Above module.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.10-2mdk
- Remove ftsodell=1 on i810_audio hack, since last i810_audio driver
  don't need it anymore.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.10-1mdk
- 0.98.10 (fix a lot of bugs).

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-10mdk
- If there is no /etc/sysconfig/hwconf then launch with -q.

* Sun Apr  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.98.2-9mdk
- use server flags

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-8mdk
- Do special cases in our alsa support.
- Add aumix load only when driver = awe*.

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-7mdk
- If /etc/modules.conf is newer than modules.dep of current kernel
  (after kudzu pass) then regenerate the depmod -A in background.
- Don't launch updfstab since we don't support it.

* Fri Apr  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-6mdk
- With last kernel we don't need to do any black magick anymore for
  detecting if psaux mouse is connected (or in any case this black
  magick will magic coredump kudzu).

* Fri Apr  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-5mdk
- Use modprobe -l to find available module.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-4mdk
- Launch usbd after installing (since we will don't do that at usbd install).

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-3mdk
- Ask to install usbd when detecting usb controller..
- s|usb-control|usb-interface| for mandrake even in usb.c.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-2mdk
- Add updfstab even if we don't support it yet.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98.2-1mdk
- Redo mdkconf.
- 0.98.2.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.92.1-3mdk
- Fix rpmlint errors.

* Mon Mar 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.92.1-2mdk
- install python stuff in /usr/lib/python2.0

* Fri Mar  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.92.1-1mdk
- 0.92.1.

* Tue Feb 27 2001 Pixel <pixel@mandrakesoft.com> 0.91.2-3mdk
- fix-for-looking-available-modules-when-gziped.patch

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.91.2-2mdk
- 0.91.2.

* Thu Jan  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.89-2mdk
- Don't compile libvbe on other platform than x86.

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.89-1mdk
- 0.89.

* Sat Dec 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.84-1mdk
- Correct file list.
- Make depends of ldetect-lst and get pcitable from ldetec-lst.
- Compile everything with optflags.
- 0.84.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.81-4mdk
- 0.81.
- Change BuildRequires: to the new libRequires name.
- Excludearch: ppc.

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.79-3mdk
- Get compile with python2.

* Sat Nov 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.79-2mdk
- include everything in the python directory.

* Sat Nov 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.79-1mdk
- fix compile when kudzu-devel is not installed (or not recent).
- 0.79.

* Thu Sep 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-4mdk
- With Aurora use -q.

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-3mdk
- Mandrake use usb-interface not usb-controller.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-2mdk
- Set config file as noreplace.
- Make rpmlint happyt add (fake) status/reload target to initscript.
- Fix init.d dir (define to the current rpm definition).

* Fri Aug 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.68-1mdk
- spec cleanup.
- 0.68.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.44-3mdk
- automatically added BuildRequires

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-2mdk
- rebuild for teh BM
- macrosifications

* Sat Jun 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.44-1mdk
- Using /etc/modules.conf as default and if not use /etc/conf.modules.
- 0.44.
- upgrade pcitable from drakx.

* Tue May  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.36-3mdk
- Upgrade pcitable from drakx.

* Thu Apr 20 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.36-2mdk
- Corrected BuildRoot

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.36-1mdk
- BuildRequires: newt-devel
- Merge with drakx pcitable.
- Adjust groups.
- 0.36.

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- update with pcitable from DrakX

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- update with pcitable from DrakX

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- sb-live support (axalon).

* Wed Dec 29 1999 Pixel <pixel@mandrakesoft.com>
- new pcitable

* Thu Dec 23 1999 Frederic Lepied <flepied@kenobi.mandrakesoft.com> 0.23-7mdk

- fix call to mousedrake, printdrake and keyboarddrake.

* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com> 0.23-6mdk

- fix XFdrake launch

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use our tools (drakxtools, lothar).
- Use our standar colors
- Don't ask unnecessary questions.
- Big mandrake adaptations.

* Tue Nov 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Don't probe device if not here(r).

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.23.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.22.

* Fri Oct 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- sanitize, homogenize, sterilize...

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- get geometry for ide drives
- enumerate buses (jj@ultra.linux.cz)
